Bug 98628

Summary: GPU Hang causes loss of desktop session & unable to log in again to X without reboot
Product: Mesa Reporter: Adrian <adrian.allen>
Component: Drivers/DRI/i965Assignee: Intel 3D Bugs Mailing List <intel-3d-bugs>
Status: RESOLVED MOVED QA Contact: Intel 3D Bugs Mailing List <intel-3d-bugs>
Severity: normal    
Priority: medium CC: intel-gfx-bugs
Version: unspecified   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:

Description Adrian 2016-11-07 17:51:06 UTC
At apparently random times, I have experienced my Fedora 25 system crashing back to the login screen (i.e., desktop session is fully loaded and apparently behaving normally - then everything pauses for about a second and I'm then looking at a new login prompt, which doesn't have the same background image I normally see). Trying to log in at this new prompt does not result in a desktop session loading, it just pauses for a moment and takes you back to the login prompt. 

Switching VT's allows you to log in on the command line, and htop shows none of the processes which were running in my desktop session are now running (i.e. Chrome, bijiben, Terminator). 

Crash dump as described in log below is not attached because it is zero bytes, nor can an "error" file of nonzero size be found elsewhere in /sys/class/drm/card*.

The hardware is a 2013 i5-4258U Macbook Pro currently running kernel 4.8.5-300.fc25.x86_64 - but the problem has existed on every version of Fedora 25 thus far, and seems to affect both Weyland and X-based sessions.

I'll keep checking to see if anything useful ever appears within the crash dump and update this ticket if so.

/var/log/messages contains:

Nov  7 10:23:18 boss429 kernel: [drm] GPU HANG: ecode 7:0:0x86d2fffd, in gnome-shell [3151], reason: Hang on render ring, action: reset
Nov  7 10:23:18 boss429 kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Nov  7 10:23:18 boss429 kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Nov  7 10:23:18 boss429 kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Nov  7 10:23:18 boss429 kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Nov  7 10:23:18 boss429 kernel: [drm] GPU crash dump saved to /sys/class/drm/card0/error
Nov  7 10:23:18 boss429 kernel: drm/i915: Resetting chip after gpu hang
Comment 1 Elizabeth 2018-03-21 22:31:48 UTC
Hello, Fedora 27 and mesa 17.3.6 have been released already. Was this issue fixed with the latest versions? Thank you.
Comment 2 Adrian 2018-03-21 22:34:43 UTC
I haven't seen the issue since switching to Wayland on Fedora 27. I was still seeing it occasionally on Fedora 26 with X.
Comment 3 GitLab Migration User 2019-09-25 18:59:05 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1550.

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.